@extends('admin::layouts.vuexy.layoutMaster')

@section('title', 'Ajustes generales')

@section('vendor-style')
    @vite([
        'modules/Admin/Resources/assets/vendor/libs/@form-validation/form-validation.scss'
    ])
@endsection

@section('vendor-script')
    @vite([
        'modules/Admin/Resources/assets/vendor/libs/@form-validation/popular.js',
        'modules/Admin/Resources/assets/vendor/libs/@form-validation/bootstrap5.js',
        'modules/Admin/Resources/assets/vendor/libs/@form-validation/auto-focus.js',
    ])
@endsection

@section('page-script')
    @vite('modules/Admin/Resources/js/website-settings/website-settings-scripts.js')
@endsection

@section('content')
    <div class="nav-align-top mb-6">
        <ul class="nav nav-pills mb-4 nav-fill" role="tablist">
            <li class="nav-item mb-1 mb-sm-0">
                <button type="button" class="nav-link active" role="tab" data-bs-toggle="tab" data-bs-target="#nav-website-content" aria-controls="nav-website-content" aria-selected="true">
                    <i class="ti-sm ti ti-world-www me-1_5"></i> Sitio Web
                </button>
            </li>
            <li class="nav-item mb-1 mb-sm-0">
                <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#nav-social-content" aria-controls="nav-social-content" aria-selected="false">
                    <i class="ti-sm ti ti-social me-1_5"></i> Redes Sociales
                </button>
            </li>
            <li class="nav-item mb-1 mb-sm-0">
                <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#nav-contact-content" aria-controls="nav-contact-content" aria-selected="false">
                    <i class="ti-sm ti ti-phone me-1_5"></i> Contacto
                </button>
            </li>
            <li class="nav-item mb-1 mb-sm-0">
                <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#nav-chat-content" aria-controls="nav-chat-content" aria-selected="false">
                    <i class="ti-sm ti ti-message-2-code me-1_5"></i> Chat
                </button>
            </li>
            <li class="nav-item mb-1 mb-sm-0">
                <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#nav-analytics-content" aria-controls="nav-analytics-content" aria-selected="false">
                    <i class="ti-sm ti ti-chart-histogram me-1_5"></i> Google Analytics
                </button>
            </li>
            <li class="nav-item">
                <button type="button" class="nav-link" role="tab" data-bs-toggle="tab" data-bs-target="#nav-templeate-content" aria-controls="nav-templeate-content" aria-selected="false">
                    <i class="ti-sm ti ti-tools me-1_5"></i> Template
                </button>
            </li>
        </ul>
        <div class="tab-content">
            <div class="tab-pane fade show active" id="nav-website-content" role="tabpanel">
                <div class="row">
                    <div class="col-md-6">
                        <div class="mb-10">
                            @livewire('website-settings')
                        </div>
                        <div class="mb-10">
                            @livewire('website-favicon-settings')
                        </div>
                    </div>
                    <div class="col-md-6">
                        @livewire('website-image-logo-settings')
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="nav-social-content" role="tabpanel">
                @livewire('website-social-settings')
            </div>
            <div class="tab-pane fade" id="nav-contact-content" role="tabpanel">
                <div class="row">
                    <div class="col-md-6">
                        <div class="mb-10">
                            @livewire('website-contact-info-settings')
                        </div>
                        <div class="mb-10">
                            @livewire('website-contact-form-settings')
                        </div>
                    </div>
                    <div class="col-md-6">
                        @livewire('website-location-settings')
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="nav-chat-content" role="tabpanel">
                <div class="row">
                    <div class="col-md-6">
                        @livewire('website-chat-settings')
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="nav-analytics-content" role="tabpanel">
                <div class="row">
                    <div class="col-md-6">
                        @livewire('website-analytics-settings')
                    </div>
                </div>
            </div>
            <div class="tab-pane fade" id="nav-templeate-content" role="tabpanel">
                <div class="row">
                    <div class="col-md-6">
                        @livewire('website-template-settings')
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
